Bug 58977 - xcode9 XM + xcode83 Xcode link broken
Summary: xcode9 XM + xcode83 Xcode link broken
Status: RESOLVED FIXED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: Library (Xamarin.Mac.dll) (show other bugs)
Version: Master
Hardware: PC Mac OS
: High blocker
Target Milestone: ---
Assignee: Chris Hamons
URL:
Depends on:
Blocks:
 
Reported: 2017-08-23 15:54 UTC by Chris Hamons
Modified: 2018-03-15 19:02 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Chris Hamons 2017-08-23 15:54:21 UTC
A "hello world" XM app gives the following:

    ld: framework not found Vision
    clang : error : linker command failed with exit code 1 (use -v to see invocation)

if you install a XM from the xcode9 lane and target xcode83 in debug.

Full Log: https://gist.github.com/chamons/332d6d034c598ab88c8a7e63069d6b6a
Comment 1 Chris Hamons 2017-08-23 16:11:55 UTC
https://github.com/xamarin/xamarin-macios/pull/2502 appears to fix this.
Comment 2 Sebastien Pouliot 2018-01-12 22:46:23 UTC
Can we confirm this and, if indeed fixed, close the bug ? thanks :)
Comment 3 Chris Hamons 2018-03-15 19:02:50 UTC
This has been fixed for awhile.